Module java.base
Package java.nio.file

# Interface WatchEvent.Kind<T>

Enclosing interface:
  WatchEvent<T>

    public static interface WatchEvent.Kind<T>

An event kind, for the purposes of identification.

Since:
  1.7
See Also:
  `StandardWatchEventKinds`

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`String` | `name()` | Returns the name of the event kind.
`Class<T>` | `type()` | Returns the type of the `context` value.

## Method Details

### name

String name()
Returns the name of the event kind.

Returns:
  the name of the event kind

### type

Class<T> type()
Returns the type of the `context` value.

Returns:
  the type of the context value